Uses of Class
com.eqixiac.equinix.fabric.beta.model.AppServiceAttachedAppSubscription
Packages that use AppServiceAttachedAppSubscription
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AppServiceAttachedAppSubscription in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type AppServiceAttachedAppSubscriptionModifier and TypeMethodDescriptionAppServices.listAttachedAppSubscriptions(String appServiceId) Get Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).AppServices.listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query) Get Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).AppServices.searchAttachedAppSubscriptions(String appServiceId) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).AppServices.searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).AppServices.searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter, SortPropertyList sort) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId). -
Uses of AppServiceAttachedAppSubscription in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type AppServiceAttachedAppSubscriptionModifier and TypeMethodDescriptionAppServicesImpl.listAttachedAppSubscriptions(String appServiceId) AppServicesImpl.listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query) AppServicesImpl.searchAttachedAppSubscriptions(String appServiceId) AppServicesImpl.searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter) AppServicesImpl.searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter, SortPropertyList sort)